#include "mameview.h"

#include "mamescene.h"

MameView::MameView(QWidget *parent):
	QGraphicsView(parent)
{
	setScene(new MameScene(this));
	scale(0.5, -0.5);
	int d = 2 * frameWidth();
	setFixedSize(512 + d, 384 + d);
	setRenderHint(QPainter::Antialiasing);
	setViewportUpdateMode(QGraphicsView::NoViewportUpdate);
	centerOn(sceneRect().center());
}

MameView::~MameView()
{
}